1. Properties
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
        GET
      • List properties
        GET
      • Properties
        GET
      • Customers
        POST
      • Companies
        POST
      • Work addresses
        POST
      • Customers
        PATCH
      • Companies
        PATCH
      • Work addresses
        PATCH
      • Properties
        DELETE
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Properties

Customers

POST
/customers
A customer is the primary record in Commusoft. You will need to create a customer

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Headers

Bodyapplication/json

🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/customers' \
--header '{{token}}: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbGllbnRpZCI6MTkzMDAsImFwcGxpY2F0aW9udG9rZW4iOiJhbzItMjM5ODQtMDkyM2tqLTJvdTIzNCIsImV4cGlyZXNhdCI6bnVsbH0.bqM-bZoXuLwGSCRP7UFxKmA7EQrC-tVWe5I8SfuS9z0' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customerType": null,
    "contact": {
        "firstName": "Major",
        "lastName": "Heaney",
        "telephone": "501.216.5238 x213",
        "mobile": "(670) 643-3205 x65876",
        "email": "Moshe16@hotmail.com"
    },
    "addressLine1": "619 W Main",
    "addressLine2": "Suite 106",
    "addressLine3": "velit cupidatat cillum",
    "town": "West Markstead",
    "provinceID": 14,
    "postcode": "87241-5785",
    "accountingSystemReference": "4bb2f695b-1444-4a9e-a048-1bceb52ca9f4",
    "vacant": "No",
    "advertisingID": 1,
    "buildingTypeID": 1,
    "priceBookID": 2,
    "creditorsDayID": 1,
    "hasAfterSalesCareBeenTurnedOn": false
}'
Response Response Example
201 - Example 1
{
    "id": 0,
    "createdByType": "string",
    "createdByID": 0,
    "createdByUser": "string",
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "type": "customer",
    "customerType": 0,
    "parentPropertyID": 0,
    "status": "active",
    "contact": {
        "id": "string",
        "title": "string",
        "firstName": "string",
        "lastName": "string",
        "telephone": "string",
        "mobile": "string",
        "email": "string"
    },
    "companyName": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "addressLine3": "string",
    "town": "string",
    "province": "string",
    "provinceID": 0,
    "postcode": "string",
    "latitude": "string",
    "longitude": "string",
    "accountingSystemReference": "stringstringstringst",
    "vacant": "Yes",
    "advertisingName": "string",
    "advertisingID": 0,
    "buildingType": "string",
    "buildingTypeID": 0,
    "priceBookName": "string",
    "priceBookID": 0,
    "creditorDays": "string",
    "creditorsDayID": 0,
    "links": {
        "self": "string",
        "assets": "string",
        "contracts": "string",
        "opportunities": "string",
        "jobs": "string"
    }
}
Modified at 2026-09-15 11:05:47
Previous
Properties
Next
Companies
Built with